> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# クレデンシャルの取得

> 単一の Vault クレデンシャルを取得します。

`GET /api/v1/cloud/vaults/{vault_id}/credentials/{credential_id}`

単一の Vault クレデンシャルを取得します。シークレットの値は決して返されません。

## パスパラメータ

| パラメータ           | 型      | 説明                            |
| --------------- | ------ | ----------------------------- |
| `vault_id`      | string | `vault_` プレフィックス付きの Vault ID  |
| `credential_id` | string | `vcred_` プレフィックス付きのクレデンシャル ID |

## ヘッダー

| ヘッダー            | 必須 | 説明                  |
| --------------- | -- | ------------------- |
| `Authorization` | はい | `Bearer $QODER_PAT` |

## リクエスト例

```bash theme={null}
curl -X GET "https://api.qoder.com/api/v1/cloud/vaults/vault_019e3bb940277f0db05ab74291acf6ef/credentials/vcred_019e3bb98877759e862750b495c1fce8" \
  -H "Authorization: Bearer $QODER_PAT"
```

## レスポンス例

**HTTP 200 OK**

```json theme={null}
{
  "id": "vcred_019e3bb98877759e862750b495c1fce8",
  "type": "vault_credential",
  "vault_id": "vault_019e3bb940277f0db05ab74291acf6ef",
  "auth": {
    "type": "static_bearer",
    "mcp_server_url": "https://example.com/mcp-stream"
  },
  "display_name": null,
  "metadata": {},
  "archived_at": null,
  "created_at": "2026-05-18T15:34:35.387093Z",
  "updated_at": "2026-05-18T15:34:35.387093Z"
}
```

## エラー

| HTTP | type              | トリガー条件                 |
| ---- | ----------------- | ---------------------- |
| 401  | `TOKEN_INVALID`   | 認証トークンが欠落または無効         |
| 404  | `not_found_error` | Vault またはクレデンシャルが存在しない |

エラーエンベロープの詳細については[エラーリファレンス](/ja/cloud-agents/api/conventions/errors)を参照してください。

## 関連項目

<CardGroup cols={2}>
  <Card title="Vaults" icon="key" href="/ja/cloud-agents/vaults">
    シークレットを安全に保存し、Agent Session に注入する。
  </Card>
</CardGroup>
